/*
 *  Pedometer - Android App
 *  Copyright (C) 2009 Levente Bagi
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package name.bagi.levente.pedometer.preferences;

import sparta.checkers.quals.FlowPermissionString;
import sparta.checkers.quals.Sink;
import sparta.checkers.quals.FlowPermissionString;
import sparta.checkers.quals.Source;
import name.bagi.levente.pedometer.R;
import android.content.Context;
import android.preference.EditTextPreference;
import android.util.AttributeSet;

/**
 * An {@link EditTextPreference} that only allows float values.
 * @author Levente Bagi
 */
public class BodyWeightPreference extends EditMeasurementPreference {

	public BodyWeightPreference(@Source({}) @Sink({}) Context context) {
		super(context);
	}
	public BodyWeightPreference(@Source({}) @Sink({}) Context context, @Source({}) @Sink({}) AttributeSet attr) {
		super(context, attr);
	}
	public BodyWeightPreference(@Source({}) @Sink({}) Context context, @Source({}) @Sink({}) AttributeSet attr, @Source({}) @Sink({}) int defStyle) {
		super(context, attr, defStyle);
	}

	protected void initPreferenceDetails() {
		mTitleResource = R.string.body_weight_setting_title;
		mMetricUnitsResource = R.string.kilograms;
		mImperialUnitsResource = R.string.pounds;
	}
}

